Прогресс не стоит на месте

image_pdfimage_print

Не доброго времени суток!

Если у Вас не запускается в Linux apache в связке с 1С

sudo /etc/init.d/apache2 restart
* Restarting web server apache2 [fail]
* The apache2 configtest failed.
Output of config test was:
apache2: Syntax error on line 231 of /etc/apache2/apache2.conf: Cannot load /opt/1C/v8.3/i386/wsap22.so into server: /opt/1C/v8.3/i386/wsap22.so: undefined symbol: ap_rputs
Action ‘configtest’ failed.
The Apache error log may have more information.

Знайте прогресс не стоит на месте и версия 1С 8.3.6 (2015 год) и apache 2.4 (2012 год) несовместимы. Надо делать обновление до версии 2.2.

Возможно для обновления надо будет набрать:

sudo apt-get upgrade
apt-cache showpkg apache2 | grep 2.2
apt-get install apache2=2.2.22-1ubuntu1

How to check my current version of Linux Mint — cat /etc/linuxmint/info

Но практически все дистрибутивы уже не содержат apache 2.2, а выпиливать 2.4 и вставить 2.2 это надо быть фанатиком…

И последним гвоздем в ваше хорошее настроение будет то, что все нововведения от 1С

  • HTTP сервисы
  • REST интерфейс
  •   старые Web сервисы

Все работают через Веб сервер!

А кто сказал, что импортозамещение будет сделать  легко?

Добавить комментарий